[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#435802: linux-latest-2.6: GNU/Linux kernel should use CONFIG_NLS_DEFAULT="utf-8"

Package: linux-latest-2.6
Severity: normal

As per etch release notes: "Default encoding for etch is UTF-8". Section
2.2 on release notes:

This is not true for GNU/Linux kernel where you can find that 
CONFIG_NLS_DEFAULT is set to "iso8859-1". This prevents uaing utf-8 charset 
for mounted filesystems for example samba (smbfs), and maybe others.

Etch has already being released with this, but IMHO this should be fixed
from now on.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (200, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-686 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Reply to: